
Summary: convert dvi files to simple ASCII
Name: dvi2tty
Version: 5.1
Release: 1
Vendor: John C. Peterson <jaypee@netcom.com>
Copyright: Copyrighted, free for non-commercial use only
Group: Applications/Publishing/TeX
Source: ftp://ftp.cdrom.com/pub/tex/ctan/systems/unix/linux/dvi/dvi2tty51.tgz
Patch: dvi2tty-5.1-linux.patch
Buildroot: /tmp/build_root

%description
dvi2tty is designed to preview TeX dvi files on ASCII devices, (such as
terminals and line printers).  This version was written in the C language
by Marcel J.E. Mol, and is derived from the original pascal program
written by Svante Lindahl.

Since more sophisticated output devices are now common place, most users
rely on dvips, or other dvi converters, for everyday TeX processing.
However, every TeX user will find dvi2tty to be handy, (ie: you need
to transmit a TeX document in softcopy form to someone who religiously
bought every release of Word, thinking they could read *any* document
in existance).

%prep
%setup -b 0
%patch -p1

%build
make
latex dvi2tty.tex
dvips -o dvi2tty.ps dvi2tty.dvi
gzip -v -9 dvi2tty.ps

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -m 755 -s disdvi $RPM_BUILD_ROOT/usr/bin/disdvi
install -m 755 -s dvi2tty $RPM_BUILD_ROOT/usr/bin/dvi2tty
cp -p disdvi.l $RPM_BUILD_ROOT/usr/man/man1/disdvi.1
chmod 644 $RPM_BUILD_ROOT/usr/man/man1/disdvi.1
cp -p dvi2tty.1 $RPM_BUILD_ROOT/usr/man/man1/dvi2tty.1
chmod 644 $RPM_BUILD_ROOT/usr/man/man1/dvi2tty.1

%files
%doc dvi2tty.tex dvi2tty.dvi dvi2tty.ps.gz
/usr/bin/disdvi
/usr/bin/dvi2tty
/usr/man/man1/disdvi.1
/usr/man/man1/dvi2tty.1
